[package]
name = "godot-rulebook"
version = "0.1.0"
edition = "2021"
publish = false
license = "MPL-2.0"

[lib]
crate-type = ["cdylib"]

[dependencies]

rulebook = { path = "../rulebook" }
# godot = { git = "https://github.com/LeaoLuciano/gdext.git", branch = "on_notification_workaround" }
paste = "1.0.14"
godot = { path = "/run/media/lucianoleao/externo/src/gdext/godot", features = ["experimental-wasm", "lazy-function-tables"] }

[patch."https://github.com/godot-rust/godot4-prebuilt".godot4-prebuilt]
git = "https://github.com//godot-rust/godot4-prebuilt"
branch = "4.2"